package de.frajul.endlessroll.main.game;

import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.Entity;
import de.frajul.endlessroll.entities.guis.ToolButtonBar;
import de.frajul.endlessroll.entities.particles.ParticleSystem;
import de.frajul.endlessroll.entities.textures.TexturePack;
import de.frajul.endlessroll.levels.worlds.World;
import de.frajul.endlessroll.main.GameActivity;
import de.frajul.endlessroll.user.ToolSlotSettings;

public class TestScreenScene extends Scene {

    public TestScreenScene(GameActivity gameActivity, TexturePack texturePack, ParticleSystem particleSystem) {
        super(gameActivity, texturePack, particleSystem);
        //        terrain.createEndless(World.GRASSLANDS, 0.6f);
        //        background.changeTextures(World.ICY_MOUNTAINS.getBackgroundTexture());
        //
        //        player.init(PlayerShape.BALL, 0.6f, 0.5f, 0.5f, particleSystem);
        //        uncategorizedEntities.add(player);
        uncategorizedEntities
                .add(new Entity(World.GRASSLANDS.getBackgroundTextures().get(0), new Vector(), 1,
                        1));
        try {
            guis.addAll(new ToolButtonBar(texturePack, null,
                    new ToolSlotSettings("RAMP", "STASIS", "BOMB", "MAGNET", 1)).toGuiList());
        } catch (Exception ignore) {
        }
    }
}